List Task Agent Runs
List execution runs for a Task Agent.
Returns run history with:
- Input message
- Token usage
- Status and duration
- Task tools invoked
- MCP tools invoked
- Phase timings for LLM, tool execution, and memory compaction when applicable
Authentication
AuthorizationBearer
Bearer token authentication using JWT tokens from Ory Kratos/Hydra
Path parameters
org_id
The organization ID
project_id
The project ID
task_agent_id
The task agent ID
Query parameters
session_id
Filter by session ID
is_error
Filter by run-level error status.
had_task_tool_fail
Filter by whether any invoked task tool failed.
had_mcp_tool_fail
Filter by whether any invoked MCP tool failed.
status
Filter by run status.
Allowed values:
created_after
Filter runs created at/after this timestamp.
created_before
Filter runs created at/before this timestamp.
min_duration_ms
Filter runs with duration greater than or equal to this value.
task_agent_revision_id
Filter by TaskAgent revision ID.
page_limit
The maximum number of items to return per page. Defaults to 100 if not specified.
cursor
A cursor for pagination. Use the next_cursor value from the previous response to get the next page of results.
Response
Run history
results
The list of items returned for the current page.
pagination
Contains pagination information for the result set.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
